
using Godot;


namespace Rokojori
{  
  [Tool][GlobalClass ]
  public partial class SetTimeLineSpeed : Action
  {
    [Export]
    public TimeLine timeline;

    [Export]
    public float speed = 1;

    protected override void _OnTrigger()
    {  
      timeline = TimeLineManager.Ensure( timeline );
      timeline.runner.speed = speed;
    }

  }
}